/* 
******************************************************
* ե̾ : win_def.h                             *
*                                                    *
* by ichikawa@landmark.fct.cs.fujitsu.co.jp          *
******************************************************
*/

#include <X11/Xlib.h>
#include <X11/Xutil.h>
#include <stdio.h>
#include <string.h>

/* ѡ¤ */
struct screen_tag {
    char                        *name ; /* display name     */
    Display                     *disp ; /* display ID       */
    Window                      win   ; /* window  ID       */
    XSetWindowAttributes        atr   ; /* window attribute */
    GC                          gc_a  ; /* ascii, image GC  */
    Font                        f_a   ; /* ascii font       */
    GC                          gc_k  ; /* kanji        GC  */
    Font                        f_k   ; /* kanji font       */
    Colormap                    cmap  ; /* color map        */
    Pixmap                      icon  ; /* icon   pixmap    */
};

/* ܥ¤ */
struct button_tag {
    char    *name ;
    int      x    ;
    int      y    ;
    int      w    ;
    int      h    ;
};


#define FONT_A         "5x7"		/* ʸե        */
#define FONT_K         "5x7"		/* ʸե        */

#define WIN_W		160		/* ɥ      */
#define WIN_H		200		/* ɥʹ⤵    */

#define WIN_W_MAX	WIN_W		/* ɥ祵  */
#define WIN_H_MAX	WIN_H		/* ɥ祵ʹ⤵*/
#define WIN_W_MIN	WIN_W		/* ɥǾ  */
#define WIN_H_MIN	WIN_H		/* ɥǾʹ⤵*/

#define WIN_FG		"black"		/* ɥ̿	       */
#define WIN_BG		"white"		/* ɥ̿            */

#define WIN_NAME	"Poker"		/* ɥȥ          */

/*********** end of file <win_def.h> **********/
